Update proxy configuration
Updates the global proxy configuration.
AuthorizationBearer <token>
Bearer token authentication. Use your MPilot virtual-key JWT or admin JWT.
Virtual keys (prefixed with sk-bf-) can also be passed here.
In: header
enabled?boolean
type?string
Value in
"http" | "socks5" | "tcp"url?string
username?string
password?string
Password (redacted as in responses)
no_proxy?string
timeout?integer
skip_tls_verify?boolean
enable_for_scim?boolean
enable_for_inference?boolean
enable_for_api?boolean
Response Body
curl -X PUT "https://loading/{AI_GATEWAY_URL}/api/proxy-config" \ -H "Content-Type: application/json" \ -d '{}'{
"status": "success",
"message": "Operation completed successfully"
}{
"event_id": "string",
"type": "string",
"is_bifrost_error": true,
"status_code": 0,
"error": {
"type": "string",
"code": "string",
"message": "string",
"param": "string",
"event_id": "string"
},
"extra_fields": {
"provider": "openai",
"model_requested": "string",
"request_type": "string"
}
}{
"event_id": "string",
"type": "string",
"is_bifrost_error": true,
"status_code": 0,
"error": {
"type": "string",
"code": "string",
"message": "string",
"param": "string",
"event_id": "string"
},
"extra_fields": {
"provider": "openai",
"model_requested": "string",
"request_type": "string"
}
}